## org.eclipse.m2m.atl.dsls.core
Class EMFTCSExtractor.EMFExtractorAdapter

    java.lang.Object
      org.eclipse.m2m.atl.dsls.core.EMFTCSExtractor.EMFExtractorAdapter

All Implemented Interfaces:
  ModelAdapter

Enclosing class:
  EMFTCSExtractor

    public class EMFTCSExtractor.EMFExtractorAdapter

extends java.lang.Object
implements ModelAdapter

Constructor Summary
`EMFTCSExtractor.EMFExtractorAdapter()`

Method Summary
`java.lang.Object` `get(java.lang.Object modelElement, java.lang.String name)`
`boolean` `getBool(java.lang.Object me, java.lang.String propName)`
`boolean` `getBoolUndefinedIsFalse(java.lang.Object me, java.lang.String propName)`
`java.util.Iterator` `getCol(java.lang.Object me, java.lang.String propName)`
`java.util.Set` `getElementsByType(java.lang.Object model, java.lang.String typeName)`
`java.lang.String` `getEnumLiteralName(java.lang.Object me)`
`int` `getInt(java.lang.Object me, java.lang.String propName)`
`java.lang.Object` `getME(java.lang.Object me, java.lang.String propName)`
`java.lang.Object` `getMetaobject(java.lang.Object me)`
`java.lang.String` `getName(java.lang.Object ame)`
`java.lang.Object` `getPropertyType(java.lang.Object f, java.lang.String propName)`
`java.lang.String` `getString(java.lang.Object me, java.lang.String propName)`
`java.lang.String` `getTypeName(java.lang.Object me)`
`boolean` `isAModelElement(java.lang.Object o)`
`boolean` `isEnumLiteral(java.lang.Object value)`
`boolean` `isPrimitive(java.lang.Object value)`
`java.lang.String` `nextString(java.util.Iterator i)`
`java.lang.Object` `refImmediateComposite(java.lang.Object me)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFTCSExtractor.EMFExtractorAdapter

    public EMFTCSExtractor.EMFExtractorAdapter()

Method Detail

### get

    public java.lang.Object get(java.lang.Object modelElement,
                                java.lang.String name)

  Specified by:
    `get` in interface `ModelAdapter`

### getBool

    public boolean getBool(java.lang.Object me,
                           java.lang.String propName)

  Specified by:
    `getBool` in interface `ModelAdapter`

### getBoolUndefinedIsFalse

    public boolean getBoolUndefinedIsFalse(java.lang.Object me,
                                           java.lang.String propName)

  Specified by:
    `getBoolUndefinedIsFalse` in interface `ModelAdapter`

### getCol

    public java.util.Iterator getCol(java.lang.Object me,
                                     java.lang.String propName)

  Specified by:
    `getCol` in interface `ModelAdapter`

### getElementsByType

    public java.util.Set getElementsByType(java.lang.Object model,
                                           java.lang.String typeName)

  Specified by:
    `getElementsByType` in interface `ModelAdapter`

### getInt

    public int getInt(java.lang.Object me,
                      java.lang.String propName)

  Specified by:
    `getInt` in interface `ModelAdapter`

### getME

    public java.lang.Object getME(java.lang.Object me,
                                  java.lang.String propName)

  Specified by:
    `getME` in interface `ModelAdapter`

### getMetaobject

    public java.lang.Object getMetaobject(java.lang.Object me)

  Specified by:
    `getMetaobject` in interface `ModelAdapter`

### getString

    public java.lang.String getString(java.lang.Object me,
                                      java.lang.String propName)

  Specified by:
    `getString` in interface `ModelAdapter`

### getTypeName

    public java.lang.String getTypeName(java.lang.Object me)

  Specified by:
    `getTypeName` in interface `ModelAdapter`

### getName

    public java.lang.String getName(java.lang.Object ame)

  Specified by:
    `getName` in interface `ModelAdapter`

### refImmediateComposite

    public java.lang.Object refImmediateComposite(java.lang.Object me)

  Specified by:
    `refImmediateComposite` in interface `ModelAdapter`

### isAModelElement

    public boolean isAModelElement(java.lang.Object o)

  Specified by:
    `isAModelElement` in interface `ModelAdapter`

### getPropertyType

    public java.lang.Object getPropertyType(java.lang.Object f,
                                            java.lang.String propName)

  Specified by:
    `getPropertyType` in interface `ModelAdapter`

### isPrimitive

    public boolean isPrimitive(java.lang.Object value)

  Specified by:
    `isPrimitive` in interface `ModelAdapter`

### isEnumLiteral

    public boolean isEnumLiteral(java.lang.Object value)

  Specified by:
    `isEnumLiteral` in interface `ModelAdapter`

### getEnumLiteralName

    public java.lang.String getEnumLiteralName(java.lang.Object me)

  Specified by:
    `getEnumLiteralName` in interface `ModelAdapter`

### nextString

    public java.lang.String nextString(java.util.Iterator i)

  Specified by:
    `nextString` in interface `ModelAdapter`

Copyright 2007 IBM Corporation and others. All Rights Reserved.